use lib::{client::Client, message::{Message, MessageKind}};
use crossterm::{
    execute,
    terminal::{
        Clear,
        ClearType,
        enable_raw_mode,
        disable_raw_mode
    },
    event::Event,
};

#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    let mut client = Client::connect("127.0.0.1", 8080).await?;
    let local_address = &client.stream.local_addr()?;

    enable_raw_mode()?;
    execute!(
        std::io::stdout(),
        Clear(ClearType::All),
    )?;

    client.send_message(Message::new(&local_address.to_string(), MessageKind::Test, "test json").unwrap()).await?;

    disable_raw_mode()?;
    Ok(())
}
